Loading...
Searching...
No Matches
Caller id decoding
Public API functions » Port initialisation » Card information » Port control » Event handling » Audio play and record » Error handling » Programmable tone generator » Programmable tone detector » Wav audio support » Caller id
Collaboration diagram for Caller id decoding:

## Functions

int WINAPI | vpb_cid_decode (char *cid_number, const short *in, int n)
| Attempt to extract a caller's number from a buffer of samples.
int WINAPI | vpb_cid_decode2 (VPB_CID *cli_struct, const short *in, int n)
| Attempt to extract all caller id information from a buffer of samples.
void WINAPI | vpb_cid_debug_on (const char *debug_file_name)
| Enable debugging of the CID decoder.

## Detailed Description

## Function Documentation

## vpb_cid_debug_on()

void WINAPI vpb_cid_debug_on | ( | const char * | debug_file_name | ) |

Enable debugging of the CID decoder.

Causes lots of debug information to be written to the text file debug_file_name.

## vpb_cid_decode()

int WINAPI vpb_cid_decode | ( | char * | cid_number,
|  | const short * | in,
|  | int | n )

Attempt to extract a caller's number from a buffer of samples.

Parameters

  cid_number | Pointer to string storage for the returned number.
  in | Buffer of audio samples to decode.
  n | The number of sample in the input buffer.

Returns
  `VPB_OK` if a number was retrieved, `-1` if none could be decoded.

Exceptions

  various | exceptions may be thrown in the case of other errors.

## vpb_cid_decode2()

int WINAPI vpb_cid_decode2 | ( | VPB_CID * | cli_struct,
|  | const short * | in,
|  | int | n )

Attempt to extract all caller id information from a buffer of samples.

Parameters

  cli_struct | Pointer to storage for the returned data.
  in | Buffer of audio samples to decode.
  n | The number of sample in the input buffer.

Returns
  `VPB_OK` if no error occurred while retrieving data, `-1` if some error was detected.

References VPB_CID::call_type, VPB_CID::cdn, VPB_CID::cldn, VPB_CID::clear(), VPB_CID::cn, VPB_CID::date_time, VPB_CID::nmss, VPB_CID::pres, VPB_CID::ra_cldn, VPB_CID::ra_cn, VPB_CID_CALL_TYPE, VPB_CID_CALLED_DN, VPB_CID_CALLER_NAME, VPB_CID_CALLING_LINE_DN, VPB_CID_DATE_TIME, VPB_CID_NMSS, VPB_CID_RFA_CLDN, and VPB_CID_RFA_CN.